# SetFee | xrpl
Documentation for xrpl

# Type alias SetFee

SetFee: {
TransactionType: "SetFee";
} & ( SetFeePreAmendment | SetFeePostAmendment )

Marks a change in transaction cost or reserve requirements as a result of Fee Voting.

The output will be based on the status of the `XRPFees` amendment at the time of this transaction.

- Before: SetFeePostAmendment
- After: SetFeePostAmendment

#### Type declaration

- ##### TransactionType: "SetFee"

- Defined in packages/xrpl/src/models/transactions/setFee.ts:46

Generated using TypeDoc